Page MenuHomePhabricator

Create WebM (VP9/opus) transcodes replacing the WebM (VP8/vorbis) ones eventually
Closed, ResolvedPublic

Description

As soon as ...

  1. ... libav / avconv is able to produce valid WebM files with VP9 video stream and opus audio stream (c.f. bug 53863 comment 8 )
  2. ... and the support for WebM VP9/opus is "high enough" (c.f. http://caniuse.com/#search=webm shows currently only 60 % of "all WebM-devices" have full WebM support)

it should be considered to also produce WebM VP9/opus transcode-derivatives through TMH.


Version: unspecified
Severity: enhancement

Details

Reference
bz61805
Related Gerrit Patches:
operations/mediawiki-config : masterSwitch in WebM VP9/Opus video transcodes to replace WebM VP8/Vorbis
mediawiki/extensions/TimedMediaHandler : masterSwitch on vp9 transcodes by default
mediawiki/extensions/TimedMediaHandler : masterFix for VP9/Opus transcodes: actually use Opus
mediawiki/extensions/TimedMediaHandler : masterAdd support for WebM VP9/Opus playback and transcodes

Related Objects

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:04 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz61805.
McZusatz created this task.Feb 22 2014, 3:36 PM
brion added a subscriber: brion.Jul 21 2015, 1:02 AM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJul 21 2015, 1:02 AM

Change 229397 had a related patch set uploaded (by Brion VIBBER):
Work in progress: WebM VP9/Opus transcodes

https://gerrit.wikimedia.org/r/229397

brion added a comment.Aug 8 2015, 2:38 AM

Patch updated with working playback. Should be safe to merge (VP9 transcodes not enabled by default).

Change 229397 merged by jenkins-bot:
Add support for WebM VP9/Opus playback and transcodes

https://gerrit.wikimedia.org/r/229397

Change 231563 had a related patch set uploaded (by Brion VIBBER):
Fix for VP9/Opus transcodes: actually use Opus

https://gerrit.wikimedia.org/r/231563

Change 231563 merged by jenkins-bot:
Fix for VP9/Opus transcodes: actually use Opus

https://gerrit.wikimedia.org/r/231563

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:11 PM
Jdforrester-WMF moved this task from Backlog to Next up on the Multimedia board.
Paladox set Security to None.Sep 16 2015, 7:01 PM
Paladox added a subscriber: Paladox.

Change 238819 had a related patch set uploaded (by Paladox):
Switch on vp9 transcodes by default

https://gerrit.wikimedia.org/r/238819

brion moved this task from Format support to Transcoding on the TimedMediaHandler board.

Change 238819 abandoned by Brion VIBBER:
Switch on vp9 transcodes by default

Reason:
Not ready to deploy VP9 transcodes. Note Edge's VP9 support mentioned in an old comment is still MSE-only and doesn't work with current TimedMediaHandler's use of <video> element.

https://gerrit.wikimedia.org/r/238819

brion changed the status of subtask T114337: Assign 3 more servers to video scaler duty from Open to Stalled.Jan 20 2018, 12:24 AM
brion added a comment.Feb 23 2018, 9:18 AM

VP9 adoption is pretty good these days, and ogv.js includes shim support for Safari, IE, and Edge that's only slightly slower than its VP8 playback and can be optimized a bit further. Should be safe to switch these in soon.

Mainly need additional capacity for encoding in production -- T188075.

Change 447572 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[operations/mediawiki-config@master] Switch in WebM VP9/Opus video transcodes to replace WebM VP8/Vorbis

https://gerrit.wikimedia.org/r/447572

Change 447572 merged by jenkins-bot:
[operations/mediawiki-config@master] Switch in WebM VP9/Opus video transcodes to replace WebM VP8/Vorbis

https://gerrit.wikimedia.org/r/447572

Mentioned in SAL (#wikimedia-operations) [2018-07-31T00:44:49Z] <thcipriani@deploy1001> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:447572|Switch in WebM VP9/Opus video transcodes to replace WebM VP8/Vorbis]] T63805 (duration: 00m 48s)

brion closed this task as Resolved.Jul 31 2018, 12:56 AM
brion claimed this task.

VP9 configuration has been switched in. T200747 covers batch process for re-running new transcodes.